## javax.el
Class MethodInfo

    java.lang.Object
      javax.el.MethodInfo

    public class MethodInfo

extends Object

Holds information about a method that a `MethodExpression` evaluated to.

Since:
  JSP 2.1

Constructor Summary
`MethodInfo(String name, Class<?> returnType, Class<?>[] paramTypes)` Creates a new instance of `MethodInfo` with the given information.

Method Summary
`String` `getName()` Returns the name of the method
`Class<?>[]` `getParamTypes()` Returns the parameter types of the method
`Class<?>` `getReturnType()` Returns the return type of the method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInfo

    public MethodInfo(String name,
                      Class<?> returnType,
                      Class<?>[] paramTypes)

  Creates a new instance of `MethodInfo` with the given information.

  Parameters:
    `name` - The name of the method
    `returnType` - The return type of the method
    `paramTypes` - The types of each of the method's parameters

Method Detail

### getName

    public String getName()

  Returns the name of the method

  Returns:
    the name of the method

### getReturnType

    public Class<?> getReturnType()

  Returns the return type of the method

  Returns:
    the return type of the method

### getParamTypes

    public Class<?>[] getParamTypes()

  Returns the parameter types of the method

  Returns:
    the parameter types of the method

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.